Package org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector

# Class TCSInjector

java.lang.Object
org.eclipse.m2m.atl.drivers.emf4atl.tcs.injector.TCSInjector

All Implemented Interfaces:
  `Injector`

public class TCSInjector extends Object implements Injector

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ModelAdapter`
`problemsModelAdapter`
`protected ModelAdapter`
`targetModelAdapter`

## Constructor Summary

Constructors
Constructor
Description
`TCSInjector()`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getParameterTypes()`
returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value.
`String`
`getPrefix()`
`ASMModelElement`
`inject(ASMModel target, InputStream source, Map params)`
Performs the injection.
`ASMModelElement`
`inject(ASMModel target, Reader source, Map params)`
Performs the injection.
`void`
`performImportation(ASMModel format, ASMModel extent, InputStream in, String other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### problemsModelAdapter

protected ModelAdapter problemsModelAdapter

### targetModelAdapter

protected ModelAdapter targetModelAdapter

## Constructor Details

### TCSInjector

public TCSInjector()

## Method Details

### getParameterTypes

public Map getParameterTypes()
Description copied from interface: `Injector`
returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Specified by:
  `getParameterTypes` in interface `Injector`
Returns:
  the Map of parameter types

### inject

public ASMModelElement inject(ASMModel target, InputStream source, Map params) throws IOException
Performs the injection.

Specified by:
  `inject` in interface `Injector`
Parameters:
  `target` - The target model to populate.
  `source` - The source InputStream. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `IOException`
See Also:
  - `Injector.inject(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.io.InputStream, java.util.Map)`

### inject

public ASMModelElement inject(ASMModel target, Reader source, Map params) throws IOException
Performs the injection.

Specified by:
  `inject` in interface `Injector`
Parameters:
  `target` - The target model to populate.
  `source` - The source Reader. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `IOException`
See Also:
  - `Injector.inject(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.io.Reader, java.util.Map)`

### getPrefix

public String getPrefix()

Specified by:
  `getPrefix` in interface `Injector`

### performImportation

public void performImportation(ASMModel format, ASMModel extent, InputStream in, String other) throws IOException

Specified by:
  `performImportation` in interface `Injector`
Parameters:
  `format` -
  `extent` -
  `in` -
  `other` -
Throws:
  `IOException`